summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2015-08-12 17:47:57 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2015-08-12 17:47:57 -0500
commit34ecf52d8d2760410c9bf37a9c2445f3b2d737e0 (patch)
tree1d008194647130ae33bf9e2bd7c6cd495fa1a065 /dev-python/bandit
parentx11-plugins/wmcliphist: drop old. (diff)
downloadgentoo-34ecf52d8d2760410c9bf37a9c2445f3b2d737e0.tar.gz
gentoo-34ecf52d8d2760410c9bf37a9c2445f3b2d737e0.tar.bz2
gentoo-34ecf52d8d2760410c9bf37a9c2445f3b2d737e0.zip
dev-python/bandit: 0.13.1 bup
Diffstat (limited to 'dev-python/bandit')
-rw-r--r--dev-python/bandit/Manifest1
-rw-r--r--dev-python/bandit/bandit-0.13.1.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/bandit/Manifest b/dev-python/bandit/Manifest
index 05671fae7b5..6ca13770075 100644
--- a/dev-python/bandit/Manifest
+++ b/dev-python/bandit/Manifest
@@ -1,2 +1,3 @@
DIST bandit-0.12.0.tar.gz 65558 SHA256 3c147b507696f3a74a5cf3581cc3bb65a63df454fcf24db28c3d1baa765a3b04 SHA512 ef1d80f2ca09d427e6d48f983d696fb92eb12184fbdc13dfb170a73c5935f56f7e6bf3b4cf4d211598f884592e6fe2ca33f6d33732cf12e740f74d43ffe78457 WHIRLPOOL 1defd5dcb9d120585b10e72c51501373572e7d56c0e379ec587592fd53a381baf262a970956cd9fa4c2ad007697a1b7db9068d130b6cb3a33a00c40bb9c6a13c
DIST bandit-0.13.0.tar.gz 73142 SHA256 4593957b236564599dec7c8b2da5b084f9b257213688a3a97b2643c04721eb66 SHA512 1605fb2e3e43a85ccf89a0b18c517082543d20b55149383d3704d71854817cfef3fd5e1095dd58e24efe0324ca9430fc8d7ab9f3e4f1db1ca0ffe7c4f8e17577 WHIRLPOOL 3becc739b966c2ff550988f04b1dbb03b285b120ff1f2bf4822a0b2277bdd2dc23f7e5c4d5ce6ea98dc45211d9ee7ed52f37e602f2d18558eacce356b81f79a5
+DIST bandit-0.13.1.tar.gz 68706 SHA256 e8383d751d0eacd0491e6821c6a176e317316ba3afd7005d11690467a091dd0c SHA512 c3d439f17c02b3ef24c52aa8044c414ffccb2e5e60b7d744d1ec20ff9aff40e6254626c032230da59ec2bf4d923bc16ef9f777b34a09b73cccb782b4f536d869 WHIRLPOOL c9f5ff8410f28fb361d50854b5e8750f3f71ce951e91d50570438282559c9fb92aadc38efb5b87b8d262a589ca5bcb2d8f410443a7d431c51729f310e64d217d
diff --git a/dev-python/bandit/bandit-0.13.1.ebuild b/dev-python/bandit/bandit-0.13.1.ebuild
new file mode 100644
index 00000000000..47d41282965
--- /dev/null
+++ b/dev-python/bandit/bandit-0.13.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="A security linter from OpenStack Security"
+HOMEPAGE="https://openstack.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND="
+ >=dev-python/pbr-1.3.0[${PYTHON_USEDEP}]
+ <dev-python/pbr-2.0.0[${PYTHON_USEDEP}]"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+ >=dev-python/hacking-0.9.2[${PYTHON_USEDEP}]
+ <dev-python/hacking-0.10[${PYTHON_USEDEP}]
+ >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+ >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+ !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+ )"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/appdirs-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.1.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.5.0[${PYTHON_USEDEP}]"
+
+python_test() {
+ testr init
+ testr run || die
+}